using UnityEngine;

[RequireComponent(typeof(Hightlight))]
public class DoorInteract : MonoBehaviour
{
    public string destination;

    private void OnMouseOver()
    {
        if (Input.GetMouseButtonDown(0))
            if (Control.Reach(transform.position))
                RoomTransition.GoTo(destination);
    }
}
